<?php
require('fpdf/fpdf.php');

class PDF extends FPDF

{
// Cabecera de página
function Header()
{
    $this->Image('imagenes/escudo.jpg',20,10,20,25);
    $this->SetFont('Arial','B',14);
    $this->Ln(10);
    $this->Cell(80);
    include("../php/conexion-infogeneral.php");
    $idi=$_GET['idi'];
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$institucion=$registro["nombreie"];
		$departamento=$registro["departamentoie"];
		$municipio=$registro["municipioie"];
		$dane=$registro["daneie"];
		$nit=$registro["nitie"];
		$resolucion=$registro["resolucionie"];
		$rector=$registro["rectorie"];
	}
	$nomsede= $_GET['nomsede'];
    $this->Cell(40,0,$institucion,0,0,'C');
    $this->Ln(5);
    $this->SetFont('Arial','B',10);
    $this->Cell(80);
    $this->Cell(40,0,$municipio." - ".$departamento,0,0,'C');
    $this->Ln(5);
    $this->SetFont('Arial','B',8);
    $this->Cell(80);
    $this->Cell(40,0,"DANE: ".$dane."  -  NIT: ".$nit."  -  RESOLUCION: ".$resolucion,0,0,'C');
    $this->Ln(5);
    $this->SetFont('Arial','I',10);
    $this->Cell(80);
    $this->Cell(40,0,$nomsede,0,0,'C');
    $this->Ln(5);
    $this->SetFont('Arial','B',12);
    $this->Cell(80);
    $this->Cell(40,0,'REPORTE DE CALIFICACIONES POR PERIODO ACADEMICO',0,0,'C');
    $this->Ln(5);
}

// Pie de página
function Footer()
{
    // Posición: a 1,5 cm del final
    $this->SetY(-15);
    // Helvetica italic 8
    $this->SetFont('Helvetica','I',8);
    // Número de página
    $this->Cell(0,10,$nemo.' - '.$direccion.'  -  Tel: '.$telefono,0,0,'L');
    $this->Cell(0,10,'www.sised.com.co  -  rep'.$tiporeporte,0,0,'R');
}
}

// Creación del objeto de la clase heredada

$tamañoreporte=$_POST['tamañoreporte'];
if ($tamañoreporte=="1"){
	$pdf = new PDF('P','mm','letter');
}
else{
	$pdf = new PDF('P','mm','legal');
}
$danesede= $_GET['danesede'];
$bdie= $_GET['bdie'];
$periodo= $_GET['periodo'];
$lectivo= $_GET['lectivo'];
$grado=$_POST['gradoest'];
$grupo=$_POST['grupoest'];

if (substr($grupo,15,2)=="99"){
	$contador="0";
	include("../php/conexion-bdie.php");
	$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrupo='$grupo' And estado='1'",$db_basededatosie);
	while ($FilaMatriculado=mysql_fetch_array($regmatriculados)){
		$idestudiantematriculado=$FilaMatriculado["nuid"];
		$promedioestudiante=number_format(0,2);
		$regestudiantes=mysql_query("Select nombres,apellidos From datos_estudiantes Where nuid='$idestudiantematriculado'",$db_basededatosie);
		if(mysql_num_rows($regestudiantes)>0){
			$FilaEstudiante=mysql_fetch_array($regestudiantes);
			$estudiantesdesordenados[$contador][0]=$promedioestudiante;
			$estudiantesdesordenados[$contador][1]=$FilaEstudiante["apellidos"]." ".$FilaEstudiante["nombres"].$idestudiantematriculado;
			$contador=$contador+1;
		}
	}
	// Ordenar el array ... 
	if ($estudiantesdesordenados)
		rsort($estudiantesdesordenados);
	else
		$pdf->Cell(100,4,'MENSAJE: No hay estudiantes matriculados',1,1,'C'); 
	for ($i=0;$i<$contador;$i++){
		$nuid=substr($estudiantesdesordenados[$i][1],strlen($estudiantesdesordenados[$i][1])-17,17);
		$nombreestudiante=substr($estudiantesdesordenados[$i][1],0,strlen($estudiantesdesordenados[$i][1])-17);
		$promedioperiodo=number_format($estudiantesdesordenados[$i][0],2);
		$puesto=$i+1;
		$puestoperiodo=$puesto.' de '.$contador;
		include("../php/conexion-bdie.php");
		$regestudiantes=mysql_query("Select documento From datos_estudiantes Where nuid='$nuid'",$db_basededatosie);
		if(mysql_num_rows($regestudiantes)>0){
			$FilaEstudiante=mysql_fetch_array($regestudiantes);
			$documento=$FilaEstudiante["documento"];
		}
		$regmatricula=mysql_query("Select idgrupo From datos_matriculas Where nuid='$nuid'",$db_basededatosie);
		if(mysql_num_rows($regmatricula)>0){
			$FilaEstudiante=mysql_fetch_array($regmatricula);
			$grupo=$FilaEstudiante["idgrupo"];
		}
		
		$pdf->AddPage();
		$pdf->SetMargins(10, 1, 10);
		// Salto de línea
		$pdf->Ln(5);
		$pdf->SetFont('Times','B',10);
		$pdf->Cell(195,8,$nombreestudiante,1,1,'C');
		$pdf->SetFont('Times','B',8);
		$pdf->Cell(45,5,'DOCUMENTO: '.$documento,1,0,'L'); $pdf->Cell(30,5,'CODIGO: '.substr($nuid,12,5),1,0,'C');
		$pdf->Cell(25,5,'AÑO: '.substr($lectivo,1,4),1,0,'C'); $pdf->Cell(25,5,'PERIODO: '.$periodo,1,0,'C');
		$pdf->Cell(35,5,'GRADO/CURSO: '.substr($grupo,15,2).'-'.substr($grupo,17,1),1,0,'C');$pdf->Cell(35,5,'PREESCOLAR',1,1,'C');
		
		$pdf->Ln(5);$otraaisg=285;$otraimagen=70;
		include("../php/conexion-bdie.php");
		$regareas=mysql_query("Select * From datos_areas order by ordenimpresion",$db_basededatosie);
		while ($FilaArea=mysql_fetch_array($regareas)){
			$idarea=$FilaArea["idarea"];
			$area=$FilaArea["area"];
			$sumaarea=0;
			$contarasignaturas=0;
			include("../php/conexion-bdie.php");
			$regasignaturas=mysql_query("Select * From datos_asignaturas Where idarea='$idarea' And danesede='$danesede' And estado='1' order by idasignatura",$db_basededatosie);
			while ($FilaAsignatura=mysql_fetch_array($regasignaturas)){
				$idasignatura=$FilaAsignatura["idasignatura"];
				$asignatura=$FilaAsignatura["asignatura"];
				$ih=$FilaAsignatura["ih"];
				$fallas=0;$sumafallas=0;$sumanotas=0;
				$arregloasignatura[0][0]="";$arregloasignatura[0][1]="";$arregloasignatura[0][2]="";$arregloasignatura[0][3]="";$arregloasignatura[0][4]="";
				$arregloasignatura[0][5]="";$arregloasignatura[0][6]="";$arregloasignatura[0][7]="";$arregloasignatura[0][8]="";$arregloasignatura[0][9]="";$arregloasignatura[0][10]="";
				$regnotas=mysql_query("Select * From datos_notastipo1 Where idasignatura='$idasignatura' And nuid='$nuid' And periodo='$periodo'",$db_basededatosie);
				while ($FilaNotas=mysql_fetch_array($regnotas)){
					$fallas=$FilaNotas["fallas"];
					$definitiva=$FilaNotas["definitiva"];
					$perio=$FilaNotas["periodo"];
					$arregloasignatura[$contarasignaturas][0]=$idasignatura;
					$arregloasignatura[$contarasignaturas][1]=$asignatura;
					$arregloasignatura[$contarasignaturas][2]=$ih;
					$arregloasignatura[$contarasignaturas][3]=$fallas;
					$arregloasignatura[$contarasignaturas][4]=number_format($definitiva,1);
					$nivel="-";
					if (number_format($definitiva,1)<3)
						$nivel="BAJO";
					if (number_format($definitiva,1)>=3 And number_format($definitiva,1)<=3.9)
						$nivel="BASICO";
					if (number_format($definitiva,1)>=4 && number_format($definitiva,1)<=4.5)
						$nivel="ALTO";
					if (number_format($definitiva,1)>=4.6)
						$nivel="SUPERIOR";
					$arregloasignatura[$contarasignaturas][9]=$nivel;
					
					$pdf->SetY(-$otraaisg);
					$pdf->SetFont('Times','B',10);
					$idasignatura=$arregloasignatura[$contarasignaturas][0];
					$pdf->Cell(25,5);
					$pdf->Cell(170,5,$arregloasignatura[$contarasignaturas][1],1,1,'L');
					//$pdf->Cell(13,5,'I.H.: '.$arregloasignatura[$contarasignaturas][2],1,0,'C');
					//$pdf->Cell(13,5,'F.P.: '.$arregloasignatura[$contarasignaturas][3],1,0,'C');
					//$pdf->Cell(13,5,'F.A.: '.$arregloasignatura[$contarasignaturas][7],1,0,'C');
					//$pdf->Cell(25,5,'NIVEL',1,0,'C');
					//$pdf->Cell(21,5,$arregloasignatura[$contarasignaturas][9],1,1,'C');
					
					if ($arregloasignatura[$contarasignaturas][9]=="SUPERIOR")
						$pdf->Image('imagenes/nivel-superior.jpg',10,$otraimagen,20,20);
					if ($arregloasignatura[$contarasignaturas][9]=="ALTO")
						$pdf->Image('imagenes/nivel-alto.jpg',10,$otraimagen,20,20);
					if ($arregloasignatura[$contarasignaturas][9]=="BASICO")
						$pdf->Image('imagenes/nivel-basico.jpg',10,$otraimagen,20,20);
					if ($arregloasignatura[$contarasignaturas][9]=="BAJO")
						$pdf->Image('imagenes/nivel-bajo.jpg',10,$otraimagen,20,20);
						
					$pdf->SetFont('Times','I',6);					
					$regfrasesestudiante=mysql_query("Select idfrase From datos_frasesestudiante Where idasignatura='$idasignatura' And nuid='$nuid' And periodo='$periodo' order by idfrase",$db_basededatosie);
					while ($FilaFrases=mysql_fetch_array($regfrasesestudiante)){
						$idfrase=$FilaFrases["idfrase"];
						include("../php/conexion-bdie.php");
						$regfrase=mysql_query("Select frase,tipofrase From datos_frases Where idfrase='$idfrase' And danesede='$danesede'",$db_basededatosie);
						if(mysql_num_rows($regfrase)>0){
							$FilaFrase=mysql_fetch_array($regfrase);
							if ($FilaFrase["tipofrase"]=="F")
								$tipofrase="Forta: ";
							if ($FilaFrase["tipofrase"]=="D")
								$tipofrase="Dific: ";
							if ($FilaFrase["tipofrase"]=="R")
								$tipofrase="Recom: ";
							$frase=strtoupper($FilaFrase["frase"]);
							// $pdf->Cell(10,3,$tipofrase,0,0,"L");
							$pdf->Cell(25);
							$pdf->MultiCell(170,3,$frase,1);
						}
					}
					$pdf->Ln(2);
					$otraaisg=$otraaisg-30;
					$otraimagen=$otraimagen+30;
				}
				
			}
		}
		$pdf->Ln(8);
		$pdf->Cell(195,5,'OBSERVACIONES:',0,1,'L');
		$pdf->Cell(195,15,'',1,1,'C');
		$pdf->SetFont('Times','I',7);
		//$pdf->Cell(120,4,'Niveles: [BAJO: 1.0 a 2.9] [BASICO: 3.0 a 3.9] [ALTO: 4.0 a 4.5] [SUPERIOR: 4.6 a 5.0]',0,0,'L'); $pdf->Cell(75,4,'Convenciones: I.H. Intensidad Horaria     F.P. Fallas en el Periodo     F.A. Fallas Acumuladas',0,1,'R');
		$pdf->Ln(15);
		$pdf->Cell(15);
		$pdf->Cell(75,1,'______________________________________',0,0,'L');
		$pdf->Cell(25);
		$pdf->Cell(75,1,'______________________________________',0,1,'L');
		$pdf->Cell(15);
	    include("../php/conexion-infogeneral.php");
	    $idi=$_GET['idi'];
	    $DatosInstitucion = mysql_query("Select rectorie From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
		if(mysql_num_rows($DatosInstitucion)>0) {
			$registro=mysql_fetch_array($DatosInstitucion);
			$rector=$registro["rectorie"];
		}
		$pdf->SetFont('Times','B',8);
		$pdf->Cell(75,7,$rector,0,0,'L');
		include("../php/conexion-bdie.php");
		$regdirector=mysql_query("Select director From datos_grupos Where idgrupo='$grupo'",$db_basededatosie);
		if(mysql_num_rows($regdirector)>0) {
			$registro=mysql_fetch_array($regdirector);
			$iddirector=$registro["director"];
			$regdocentes=mysql_query("Select nombres,apellidos From datos_docentes Where iddocente='$iddirector'",$db_basededatosie);
			if(mysql_num_rows($regdocentes)>0) {
				$registrodocente=mysql_fetch_array($regdocentes);
				$director=$registrodocente["apellidos"]." ".$registrodocente["nombres"];
			}
		}
		$pdf->Cell(25);
		$pdf->Cell(75,7,$director,0,1,'L');
		$pdf->SetFont('Times','',8);
		$pdf->Cell(15);
		$pdf->Cell(75,3,'Rector(a)',0,0,'L');
		$pdf->Cell(25);
		$pdf->Cell(75,3,'Director(a) de Grupo/Curso',0,1,'L');
	}
}
else{
	$contador="0";
	include("../php/conexion-bdie.php");
	$regmatriculados=mysql_query("Select nuid From datos_matriculas Where idgrupo='$grupo' And estado='1'",$db_basededatosie);
	while ($FilaMatriculado=mysql_fetch_array($regmatriculados)){
		$idestudiantematriculado=$FilaMatriculado["nuid"];
		$sumanotas=0; $numnotas=0; $promedioestudiante=number_format(0,2);
		$regestudiantes=mysql_query("Select nombres,apellidos From datos_estudiantes Where nuid='$idestudiantematriculado'",$db_basededatosie);
		if(mysql_num_rows($regestudiantes)>0){
			$FilaEstudiante=mysql_fetch_array($regestudiantes);
			$regnotasestudiante=mysql_query("Select definitiva From datos_notastipo1 Where nuid='$idestudiantematriculado' And periodo='$periodo'",$db_basededatosie);
			while ($FilaNotas=mysql_fetch_array($regnotasestudiante)){
				$sumanotas=$sumanotas+$FilaNotas["definitiva"];
				$numnotas=$numnotas+1;
			}
			if ($numnotas){
				$promedioestudiante=number_format($sumanotas/$numnotas,2);
			}
	
			$estudiantesdesordenados[$contador][0]=$promedioestudiante;
			$estudiantesdesordenados[$contador][1]=$FilaEstudiante["apellidos"]." ".$FilaEstudiante["nombres"].$idestudiantematriculado;
			$contador=$contador+1;
		}
	}
	// Ordenar el array ... 
	if ($estudiantesdesordenados)
		rsort($estudiantesdesordenados);
	else
		$pdf->Cell(100,4,'MENSAJE: No hay estudiantes matriculados',1,1,'C'); 
	
	for ($i=0;$i<$contador;$i++){
		$nuid=substr($estudiantesdesordenados[$i][1],strlen($estudiantesdesordenados[$i][1])-17,17);
		$nombreestudiante=substr($estudiantesdesordenados[$i][1],0,strlen($estudiantesdesordenados[$i][1])-17);
		$promedioperiodo=number_format($estudiantesdesordenados[$i][0],2);
		$puesto=$i+1;
		$puestoperiodo=$puesto.' de '.$contador;
		include("../php/conexion-bdie.php");
		$regestudiantes=mysql_query("Select documento From datos_estudiantes Where nuid='$nuid'",$db_basededatosie);
		if(mysql_num_rows($regestudiantes)>0){
			$FilaEstudiante=mysql_fetch_array($regestudiantes);
			$documento=$FilaEstudiante["documento"];
		}
		$regmatricula=mysql_query("Select idgrupo From datos_matriculas Where nuid='$nuid'",$db_basededatosie);
		if(mysql_num_rows($regmatricula)>0){
			$FilaEstudiante=mysql_fetch_array($regmatricula);
			$grupo=$FilaEstudiante["idgrupo"];
		}
		
		$pdf->AddPage();
		$pdf->SetMargins(10, 1, 10);
		// Salto de línea
		$pdf->Ln(5);
		$pdf->SetFont('Times','B',10);
		$pdf->Cell(195,8,$nombreestudiante,1,1,'C');
		$pdf->SetFont('Times','B',8);
		$pdf->Cell(45,5,'DOCUMENTO: '.$documento,1,0,'L'); $pdf->Cell(30,5,'CODIGO: '.substr($nuid,12,5),1,0,'C');
		$pdf->Cell(25,5,'AÑO: '.substr($lectivo,1,4),1,0,'C'); $pdf->Cell(25,5,'PERIODO: '.$periodo,1,0,'C');
		$pdf->Cell(35,5,'GRADO/CURSO: '.substr($grupo,15,2).'-'.substr($grupo,17,1),1,0,'C');$pdf->Cell(35,5,'Prom: '.$promedioperiodo.'  Puesto: '.$puestoperiodo,1,1,'C');
		
		$pdf->Ln(5);
		include("../php/conexion-bdie.php");
		$regareas=mysql_query("Select * From datos_areas order by ordenimpresion",$db_basededatosie);
		while ($FilaArea=mysql_fetch_array($regareas)){
			$idarea=$FilaArea["idarea"];
			$area=$FilaArea["area"];
			$sumaarea=0;
			$contarasignaturas=0;
			include("../php/conexion-bdie.php");
			$regasignaturas=mysql_query("Select * From datos_asignaturas Where idarea='$idarea' And danesede='$danesede' And estado='1' order by idasignatura",$db_basededatosie);
			while ($FilaAsignatura=mysql_fetch_array($regasignaturas)){
				$idasignatura=$FilaAsignatura["idasignatura"];
				$asignatura=$FilaAsignatura["asignatura"];
				$ih=$FilaAsignatura["ih"];$recup1="";$recup2="";
				$fallas=0;$sumafallas=0;$sumanotas=0;$nivel="-";
				$arregloasignatura[0][0]="";$arregloasignatura[0][1]="";$arregloasignatura[0][2]="";$arregloasignatura[0][3]="";$arregloasignatura[0][4]="";
				$arregloasignatura[0][5]="";$arregloasignatura[0][6]="";$arregloasignatura[0][7]="";$arregloasignatura[0][8]="";$arregloasignatura[0][9]="";$arregloasignatura[0][10]="";
				$regnotas=mysql_query("Select * From datos_notastipo1 Where idasignatura='$idasignatura' And nuid='$nuid'",$db_basededatosie);
				while ($FilaNotas=mysql_fetch_array($regnotas)){
					$fallas=$FilaNotas["fallas"];
					$definitiva=$FilaNotas["definitiva"];
					$perio=$FilaNotas["periodo"];
					$arregloasignatura[$contarasignaturas][0]=$idasignatura;
					$arregloasignatura[$contarasignaturas][1]=$asignatura;
					$arregloasignatura[$contarasignaturas][2]=$ih;
					if ($perio=="1") {
						$arregloasignatura[$contarasignaturas][3]=$fallas;
						$arregloasignatura[$contarasignaturas][4]=number_format($definitiva,1);
						$sumafallas=$sumafallas+$fallas;
						$regrecup=mysql_query("Select recuperacion From datos_recuperaciones Where idasignatura='$idasignatura' And nuid='$nuid' And periodo='1'",$db_basededatosie);
						if(mysql_num_rows($regrecup)>0){
							$FilaRecup=mysql_fetch_array($regrecup);
							$recup1=number_format($FilaRecup["recuperacion"],0);
						}
						if ($recup1 > $definitiva)
							$sumanotas=$sumanotas+$recup1;
						else
							$sumanotas=$sumanotas+$definitiva;	
					}
					if ($perio=="2") {
						$arregloasignatura[$contarasignaturas][5]=$fallas;
						$arregloasignatura[$contarasignaturas][6]=number_format($definitiva,1);
						$sumafallas=$sumafallas+$fallas;
						if (number_format($definitiva,1)<3)
							$nivel="BAJO";
						if (number_format($definitiva,1)>=3 And number_format($definitiva,1)<=3.9)
							$nivel="BASICO";
						if (number_format($definitiva,1)>=4 && number_format($definitiva,1)<=4.5)
							$nivel="ALTO";
						if (number_format($definitiva,1)>=4.6)
							$nivel="SUPERIOR";	
						$regrecup=mysql_query("Select recuperacion From datos_recuperaciones Where idasignatura='$idasignatura' And nuid='$nuid' And periodo='2'",$db_basededatosie);
						if(mysql_num_rows($regrecup)>0){
							$FilaRecup=mysql_fetch_array($regrecup);
							$recup2=number_format($FilaRecup["recuperacion"],0);
						}
						if ($recup2 > $definitiva)
							$sumanotas=$sumanotas+$recup2;
						else
							$sumanotas=$sumanotas+$definitiva;
					}
					$arregloasignatura[$contarasignaturas][7]=$sumafallas;
					if ($sumanotas>0)
						$promedio=$sumanotas/$periodo;
					$arregloasignatura[$contarasignaturas][8]=number_format($promedio,1);
					
					$arregloasignatura[$contarasignaturas][9]=$nivel;
					$regtitular=mysql_query("Select iddocente From datos_asignaturasdocentes Where idasignatura='$idasignatura' And idgrupo='$grupo'",$db_basededatosie);
					if(mysql_num_rows($regtitular)>0){
						$FilaTitular=mysql_fetch_array($regtitular);
						$iddocente=$FilaTitular["iddocente"];
						$regdocente=mysql_query("Select nombres,apellidos From datos_docentes Where iddocente='$iddocente'",$db_basededatosie);
						if(mysql_num_rows($regdocente)>0){
							$FilaDocente=mysql_fetch_array($regdocente);
							$docente=$FilaDocente["nombres"]." ".$FilaDocente["apellidos"];
						}
					}
					$arregloasignatura[$contarasignaturas][10]=$docente;			
				}
				if ($sumanotas>0){
					$pdf->SetFont('Times','',8);
					$pdf->Cell(5);
					$idasignatura=$arregloasignatura[$contarasignaturas][0];
					$pdf->Cell(100,5,$arregloasignatura[$contarasignaturas][1],1,0,'L');
					$pdf->Cell(13,5,'I.H.: '.$arregloasignatura[$contarasignaturas][2],1,0,'C');
					$pdf->Cell(13,5,'F.P.: '.$arregloasignatura[$contarasignaturas][3],1,0,'C');
					$pdf->Cell(13,5,'F.A.: '.$arregloasignatura[$contarasignaturas][7],1,0,'C');
					if (substr($grupo,15,2)=="00"){
						$pdf->Cell(25,5,'NIVEL',1,0,'C');
					}
					else{
						$pdf->Cell(30,5,'NOTA PERIODO: '.number_format($arregloasignatura[$contarasignaturas][6],1),1,0,'C');
					}
					$pdf->Cell(21,5,$arregloasignatura[$contarasignaturas][9],1,1,'C');
					$pdf->SetFont('Times','I',7);
					$pdf->Cell(5);
					$pdf->Cell(100,5,'Docente: '.$arregloasignatura[$contarasignaturas][10],1,0,'R');
					$pdf->Cell(30,5,'Per1: '.$arregloasignatura[$contarasignaturas][4]." - Rec: ".$recup1,1,0,'C');
					$pdf->Cell(30,5,'Per2: '.$arregloasignatura[$contarasignaturas][6]." - Rec: ".$recup2,1,0,'C');
					$pdf->Cell(30,5,'Promedio: '.$arregloasignatura[$contarasignaturas][8],1,1,'C');
					$pdf->SetFont('Times','I',7);
					$regfrasesestudiante=mysql_query("Select idfrase From datos_frasesestudiante Where idasignatura='$idasignatura' And nuid='$nuid' And periodo='$periodo' order by idfrase",$db_basededatosie);
					while ($FilaFrases=mysql_fetch_array($regfrasesestudiante)){
						$idfrase=$FilaFrases["idfrase"];
						include("../php/conexion-bdie.php");
						$regfrase=mysql_query("Select frase,tipofrase From datos_frases Where idfrase='$idfrase' And danesede='$danesede'",$db_basededatosie);
						if(mysql_num_rows($regfrase)>0){
							$FilaFrase=mysql_fetch_array($regfrase);
							if ($FilaFrase["tipofrase"]=="F")
								$tipofrase="Forta: ";
							if ($FilaFrase["tipofrase"]=="D")
								$tipofrase="Dific: ";
							if ($FilaFrase["tipofrase"]=="R")
								$tipofrase="Recom: ";
							$frase=strtoupper($FilaFrase["frase"]);
							$pdf->Cell(5); $pdf->Cell(10,4,$tipofrase,0,0,"L");
							$pdf->MultiCell(180,4,$frase,0);
						}
					}
					$pdf->Ln(2);
				}
			}
		}
		$pdf->Cell(195,5,'OBSERVACIONES:',0,1,'L');
		$pdf->Cell(195,15,'',1,1,'C');
		$pdf->SetFont('Times','I',7);
		$pdf->Cell(120,4,'Niveles: [BAJO: 1.0 a 2.9] [BASICO: 3.0 a 3.9] [ALTO: 4.0 a 4.5] [SUPERIOR: 4.6 a 5.0]',0,0,'L'); $pdf->Cell(75,4,'Convenciones: I.H. Intensidad Horaria     F.P. Fallas en el Periodo     F.A. Fallas Acumuladas',0,1,'R');
		$pdf->Ln(15);
		$pdf->Cell(15);
		$pdf->Cell(75,1,'______________________________________',0,0,'L');
		$pdf->Cell(25);
		$pdf->Cell(75,1,'______________________________________',0,1,'L');
		$pdf->Cell(15);
	    include("../php/conexion-infogeneral.php");
	    $idi=$_GET['idi'];
	    $DatosInstitucion = mysql_query("Select rectorie From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
		if(mysql_num_rows($DatosInstitucion)>0) {
			$registro=mysql_fetch_array($DatosInstitucion);
			$rector=$registro["rectorie"];
		}
		$pdf->SetFont('Times','B',8);
		$pdf->Cell(75,7,$rector,0,0,'L');
		include("../php/conexion-bdie.php");
		$regdirector=mysql_query("Select director From datos_grupos Where idgrupo='$grupo'",$db_basededatosie);
		if(mysql_num_rows($regdirector)>0) {
			$registro=mysql_fetch_array($regdirector);
			$iddirector=$registro["director"];
			$regdocentes=mysql_query("Select nombres,apellidos From datos_docentes Where iddocente='$iddirector'",$db_basededatosie);
			if(mysql_num_rows($regdocentes)>0) {
				$registrodocente=mysql_fetch_array($regdocentes);
				$director=$registrodocente["apellidos"]." ".$registrodocente["nombres"];
			}
		}
		$pdf->Cell(25);
		$pdf->Cell(75,7,$director,0,1,'L');
		$pdf->SetFont('Times','',8);
		$pdf->Cell(15);
		$pdf->Cell(75,3,'Rector(a)',0,0,'L');
		$pdf->Cell(25);
		$pdf->Cell(75,3,'Director(a) de Grupo/Curso',0,1,'L');
	}
}

$pdf->Output();
?>